iPhone won't sync running iOS 5 Beta 4 with iTunes 10.5 beta 4

Discussion in 'iPhone Tips, Help and Troubleshooting' started by cchopp0178, Jul 30, 2011.

  1. cchopp0178 macrumors newbie

    Joined:
    Jul 30, 2011
    #1
    I installed iOS 5 beta 4 on my iPhone 4 using iTunes 10.5 beta 4 without an issue. I backed up my phone before upgrading iTunes and my phone with iTunes 10.4. After upgrading both iTunes and iPhone I attempt to do a restore but receive an error message saying that "This version of iTunes is too old to sync". I am able to restore all of my contacts with iTunes but it does not allow me to restore music, ringtones or applications. If someone has a solution or method of downgrading iTunes to an earlier beta or any other options let me know!
     
  2. hunter007 macrumors newbie

    Joined:
    Aug 7, 2011
    #2
    ^^ help please!

    I am going through the same thing, can someone please help!?!?!?!
     
  3. blueroom macrumors 603

    blueroom

    Joined:
    Feb 15, 2009
    Location:
    Toronto, Canada

Share This Page